Branches - Get
Get a single branch hierarchy at the given path with parents or children as specified.
GET https://dev.azure.com/{organization}/{project}/_apis/tfvc/branches?path={path}&api-version=6.0
GET https://dev.azure.com/{organization}/{project}/_apis/tfvc/branches?path={path}&includeParent={includeParent}&includeChildren={includeChildren}&api-version=6.0
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
organization
|
path | True |
string |
The name of the Azure DevOps organization. |
|
project
|
path |
string |
Project ID or project name |
|
|
api-version
|
query | True |
string |
Version of the API to use. This should be set to '6.0' to use this version of the api. |
|
path
|
query | True |
string |
Full path to the branch. Default: $/ Examples: $/, $/MyProject, $/MyProject/SomeFolder. |
|
include
|
query |
boolean |
Return child branches, if there are any. Default: False |
|
|
include
|
query |
boolean |
Return the parent branch, if there is one. Default: False |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
successful operation |
Security
oauth2
Type:
oauth2
Flow:
accessCode
Authorization URL:
https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL:
https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer
Scopes
| Name | Description |
|---|---|
| vso.code | Grants the ability to read source code and metadata about commits, changesets, branches, and other version control artifacts. Also grants the ability to search code and get notified about version control events via service hooks. |
Examples
| GET a branch |
| GET a branch with children |
| GET a branch with deleted |
| GET a branch with parents |
GET a branch
Sample request
GET https://dev.azure.com/fabrikam/_apis/tfvc/branches?path=$&api-version=6.0
Sample response
{
"path": "$/Fabrikam-Fiber-TFVC/AuthSample-dev",
"description": "",
"owner": {
"id": "8c8c7d32-6b1b-47f4-b2e9-30b477b5ab3d",
"displayName": "Chuck Reinhart",
"uniqueName": "fabrikamfiber3@hotmail.com"
},
"createdDate": "2014-03-24T16:46:48.253Z",
"relatedBranches": [],
"mappings": []
}
GET a branch with children
Sample request
GET https://dev.azure.com/fabrikam/_apis/tfvc/branches?path=$&includeChildren=true&api-version=6.0
Sample response
{
"_links": {
"self": {
"href": "https://dev.azure.com/fabrikam/_apis/tfvc/branches/%24/Fabrikam-Fiber-TFVC/AuthSample-Dev"
},
"childBranches": {
"href": "https://dev.azure.com/fabrikam/_apis/tfvc/branches/%24/Fabrikam-Fiber-TFVC/AuthSample%2bSpecial"
},
"owner": {
"href": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/8c8c7d32-6b1b-47f4-b2e9-30b477b5ab3d"
}
},
"path": "$/Fabrikam-Fiber-TFVC/AuthSample-dev",
"description": "",
"owner": {
"id": "8c8c7d32-6b1b-47f4-b2e9-30b477b5ab3d",
"displayName": "Chuck Reinhart",
"uniqueName": "fabrikamfiber3@hotmail.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/8c8c7d32-6b1b-47f4-b2e9-30b477b5ab3d",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=8c8c7d32-6b1b-47f4-b2e9-30b477b5ab3d"
},
"createdDate": "2014-03-24T16:46:48.253Z",
"url": "https://dev.azure.com/fabrikam/_apis/tfvc/branches/%24/Fabrikam-Fiber-TFVC/AuthSample-Dev",
"relatedBranches": [],
"mappings": [],
"children": [
{
"path": "$/Fabrikam-Fiber-TFVC/AuthSample+Special",
"description": "Branched from $/Fabrikam-Fiber-TFVC/AuthSample-dev",
"owner": {
"id": "8c8c7d32-6b1b-47f4-b2e9-30b477b5ab3d",
"displayName": "Chuck Reinhart",
"uniqueName": "fabrikamfiber3@hotmail.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/8c8c7d32-6b1b-47f4-b2e9-30b477b5ab3d",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=8c8c7d32-6b1b-47f4-b2e9-30b477b5ab3d"
},
"createdDate": "2014-03-24T16:52:10.407Z",
"relatedBranches": [],
"mappings": [],
"children": []
}
]
}
GET a branch with deleted
Sample request
GET https://dev.azure.com/fabrikam/_apis/tfvc/branches?api-version=6.0
Sample response
{
"path": "$/Fabrikam-Fiber-TFVC/MyBranch",
"description": "Branched from $/Fabrikam-Fiber-TFVC/AuthSample",
"owner": {
"id": "8c8c7d32-6b1b-47f4-b2e9-30b477b5ab3d",
"displayName": "Chuck Reinhart",
"uniqueName": "fabrikamfiber3@hotmail.com"
},
"createdDate": "2014-03-24T16:44:13.277Z",
"isDeleted": true,
"relatedBranches": [
{
"path": "$/Fabrikam-Fiber-TFVC/AuthSample"
}
],
"mappings": []
}
GET a branch with parents
Sample request
GET https://dev.azure.com/fabrikam/_apis/tfvc/branches?path=$&includeParent=true&api-version=6.0
Sample response
{
"path": "$/Fabrikam-Fiber-TFVC/AuthSample-dev",
"description": "",
"owner": {
"id": "8c8c7d32-6b1b-47f4-b2e9-30b477b5ab3d",
"displayName": "Chuck Reinhart",
"uniqueName": "fabrikamfiber3@hotmail.com"
},
"createdDate": "2014-03-24T16:46:48.253Z",
"parent": {
"path": "$/Fabrikam-Fiber-TFVC/AuthSample"
},
"relatedBranches": [],
"mappings": []
}
Definitions
| Name | Description |
|---|---|
|
Identity |
|
|
Reference |
The class to represent a collection of REST reference links. |
|
Tfvc |
Class representing a branch object. |
|
Tfvc |
A branch mapping. |
|
Tfvc |
This is the shallow branchref class. |
IdentityRef
| Name | Type | Description |
|---|---|---|
| _links |
This field contains zero or more interesting links about the graph subject. These links may be invoked to obtain additional relationships or more detailed information about this graph subject. |
|
| descriptor |
string |
The descriptor is the primary way to reference the graph subject while the system is running. This field will uniquely identify the same graph subject across both Accounts and Organizations. |
| directoryAlias |
string |
Deprecated - Can be retrieved by querying the Graph user referenced in the "self" entry of the IdentityRef "_links" dictionary |
| displayName |
string |
This is the non-unique display name of the graph subject. To change this field, you must alter its value in the source provider. |
| id |
string |
|
| imageUrl |
string |
Deprecated - Available in the "avatar" entry of the IdentityRef "_links" dictionary |
| inactive |
boolean |
Deprecated - Can be retrieved by querying the Graph membership state referenced in the "membershipState" entry of the GraphUser "_links" dictionary |
| isAadIdentity |
boolean |
Deprecated - Can be inferred from the subject type of the descriptor (Descriptor.IsAadUserType/Descriptor.IsAadGroupType) |
| isContainer |
boolean |
Deprecated - Can be inferred from the subject type of the descriptor (Descriptor.IsGroupType) |
| isDeletedInOrigin |
boolean |
|
| profileUrl |
string |
Deprecated - not in use in most preexisting implementations of ToIdentityRef |
| uniqueName |
string |
Deprecated - use Domain+PrincipalName instead |
| url |
string |
This url is the full route to the source resource of this graph subject. |
ReferenceLinks
The class to represent a collection of REST reference links.
| Name | Type | Description |
|---|---|---|
| links |
object |
The readonly view of the links. Because Reference links are readonly, we only want to expose them as read only. |
TfvcBranch
Class representing a branch object.
| Name | Type | Description |
|---|---|---|
| _links |
A collection of REST reference links. |
|
| children |
List of children for the branch. |
|
| createdDate |
string (date-time) |
Creation date of the branch. |
| description |
string |
Branch description. |
| isDeleted |
boolean |
Is the branch deleted? |
| mappings |
List of branch mappings. |
|
| owner |
Alias or display name of user |
|
| parent |
Path of the branch's parent. |
|
| path |
string |
Path for the branch. |
| relatedBranches |
List of paths of the related branches. |
|
| url |
string |
URL to retrieve the item. |
TfvcBranchMapping
A branch mapping.
| Name | Type | Description |
|---|---|---|
| depth |
string |
Depth of the branch. |
| serverItem |
string |
Server item for the branch. |
| type |
string |
Type of the branch. |
TfvcShallowBranchRef
This is the shallow branchref class.
| Name | Type | Description |
|---|---|---|
| path |
string |
Path for the branch. |